// User Interface Script
clearscreen();
pushbutton([1,2], "Copy from File to Text", "?", {"size":[2,20], "process":procCopyTextFromFile});
pushbutton([1,25], "Clear Textbox", "?", {"size":[2,20],"process":procClearTextbox});
textbox([4,2],[15,80],{"name":"mytext1"});
pushbutton([17,2], "Copy from Text to File", "?", {"size":[2,20], "process":procCopyTextFromTextToFile});


// Function to convert text(single or multi-line) to array
function convertTextToArray(inpText) {
	var outArr = [];
	outArr = inpText.split('\n');
	return outArr;
}

// Function to clear textbox
function procClearTextbox(){
	var strBlank = "";	
	copytext({"fromstring":"strBlank","totext":"mytext1"});
}

// Function to copy data from file to Liquid UI textbox
function procCopyTextFromFile(){
	set("V[NotifData]","Notifications.txt");
	
	onscreen "SAPLSMTR_NAVIGATION.0100"
		copytext({"fromfile":"&V[NotifData]","totext":"mytext1"});
		enter('?');
}

// Function to copy data from textbox to file
function procCopyTextFromTextToFile(){
	set("V[mystr]","Testing copytext fromstring tofile options");
	set("V[myfile1]","C:\\LiquidUI\\Scripts\\TestFile.txt");
	//Below line opens and clears the file or creates a new file if it does not exist
	openfile("&V[myfile1]",{"output":true});
	closefile("&V[myfile1]");
		
	onscreen "SAPLSMTR_NAVIGATION.0100"
		// Below line to copy string to file
		// copytext({'fromstring':'mystr','tofile':'&V[myfile1]'});
		
		// Below lines to convert user entered text in 
		// textbox to array and then use copytext to copy to file
		arrInp = [];
		arrInp = convertTextToArray(mytext1);
		for(var i=0;i<arrInp.length;i++) {
			var textString = arrInp[i];
			textString = textString.replace('\r','');
			copytext({'fromstring':'textString','tofile':'&V[myfile1]','appendline':true});
		}	
		enter("?");
}

